/// classProspectDirector.Types.View.FindFilter
/// using ProspectDirector.Types.View.Finder

ProspectDirector.Types.View.FindFilter = ProspectDirector.Types.View.Finder.extend({

    _okButton_onClick: function (sender, e) {

        var selected = this._getSelectedRows(),
            dataRows = [];

        for (var i = 0; i < selected.length; i++) {
            var row = this._getRow(selected[i]);
            dataRows[dataRows.length] = {
                id: row.id,
                name: row.name,
                enabled: true,
                operator: 0,
                value: null,
                verse: null
            };
        }

        this.options.findDialog.hide({
            command: "ok",
            data: dataRows
        });

    }

});